<?php

namespace App\Modules\Mini\Services;

use App\Base\BaseService;
use App\Exceptions\ClientException;
use App\Models\User\User;
use App\Models\User\UserCompany;

class CompanyService extends BaseService
{
    public function company(User $user, $params)
    {
        if ($user->company) {
            if ($user->company->status == UserCompany::STATUS_INIT) {
                throw new ClientException("已经提交过资料了");
            } else {
                $user->company->name = $params['name'];
                $user->company->tax_no = $params['tax_no'];
                $user->company->status = 1;
                $user->company->save();
            }
            return $user->company;
        } else {

            $company = new UserCompany();
            $company->name = $params['name'];
            $company->user_id = $user->id;
            $company->tax_no = $params['tax_no'];
            $company->status = 1;
            $company->save();
            return $company;
        }
    }
}
